Skip to main content
GET
/
v1
/
transactions
/
{entity_id}
Get Transaction
curl --request GET \
  --url https://api.example.com/v1/transactions/{entity_id}
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "item_id": "<string>",
  "sku": "<string>",
  "region": "<string>",
  "sales_value": "<string>",
  "gross_profit": "<string>",
  "stock_after_sale": "<string>",
  "regular_price": "<string>",
  "promo_type": "<string>",
  "zone_price": "<string>",
  "external_transaction_id": "<string>",
  "unit_cost": "<string>",
  "discount_rate": "<string>",
  "currency": "<string>",
  "tax_rate": "<string>",
  "transaction_type": "<string>",
  "store_id": "<string>",
  "transaction_timestamp": "2023-11-07T05:31:56Z",
  "quantity": "<string>",
  "selling_price": "<string>"
}

Path Parameters

entity_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
item_id
string
required
sku
string | null
region
string | null
sales_value
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
gross_profit
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
stock_after_sale
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
regular_price
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
promo_type
string | null
zone_price
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
external_transaction_id
string | null
unit_cost
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
discount_rate
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
currency
string | null
tax_rate
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
transaction_type
string | null
store_id
string | null
transaction_timestamp
string<date-time> | null
quantity
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
selling_price
string | null
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$